Anonymous Login
2019-12-12 21:45 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000746v2.3 Release (Closed)[All Projects] Generalpublic2011-03-24 09:51
ReporterTheoVanDerWeijst 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.3 
Summary0000746: Deleting ALL user roles leaves the system in an undefined state.
DescriptionIt's possible to delete all user roles including the Administrator role. A system without roles is undefined as most modules rely on a properly defined roles database (not empty). Even after i added a new Administrator role, i couldn't login again which is a serious problem.


I think it makes sense to exclude the Administrator role from being deleted.
( I didn't check this yet, but excluding the admin user from deletion would most likely also prevent a lot of problems)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001728

caseydk (administrator)

adjusted the Role list so you can't delete an admin;
added some safeguards to make sure any Admin role cannot be deleted;
this is resolved in r1748 and will be in the pending v2.3 release

~0001775

caseydk (administrator)

Closed in preparation for v2.3 release.
+Notes

-Issue History
Date Modified Username Field Change
2011-03-13 14:50 TheoVanDerWeijst New Issue
2011-03-16 22:02 caseydk Project v2.2 Release (Closed) => v2.3 Release (Closed)
2011-03-19 23:49 caseydk Note Added: 0001728
2011-03-19 23:49 caseydk Status new => resolved
2011-03-19 23:49 caseydk Resolution open => fixed
2011-03-19 23:49 caseydk Assigned To => caseydk
2011-03-24 09:51 caseydk Note Added: 0001775
2011-03-24 09:51 caseydk Status resolved => closed
2011-03-24 09:51 caseydk Fixed in Version => 2.3
+Issue History